// AIPacerDlg.h : header file
//

#if !defined(AFX_AIPACERDLG_H__5C60CC67_30E7_41A2_9171_F911B43F9D66__INCLUDED_)
#define AFX_AIPACERDLG_H__5C60CC67_30E7_41A2_9171_F911B43F9D66__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAIPacerDlg dialog

class CAIPacerDlg : public CDialog
{
// Construction
public:
	float GetDlgItemFloat(int nID);
	VOID SetDlgItemVal(int nID, double nVal);
	VOID SetDlgItemDouble(int nID,double nVal);
	CAIPacerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAIPacerDlg)
	enum { IDD = IDD_AIPACER_DIALOG };
	CButton	m_IDCANCEL;
	CButton	m_IDC_BTN_Active;
	CEdit	m_IDC_EDIT_SamplingRate;
	CComboBox	m_IDC_COMBO_Type;
	CComboBox	m_IDC_COMBO_SelectBoard;
	CComboBox	m_IDC_COMBO_Channel;
	CComboBox	m_IDC_COMBO_CfgCode;
	CString	m_IDC_STATIC_MAX;
	CString	m_IDC_STATIC_MIN;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAIPacerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAIPacerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeCOMBOSelectBoard();
	afx_msg void OnBTNActive();
	virtual void OnCancel();
	afx_msg void OnEditchangeCOMBOCfgCode();
	afx_msg void OnSelchangeCOMBOCfgCode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AIPACERDLG_H__5C60CC67_30E7_41A2_9171_F911B43F9D66__INCLUDED_)
